FUNCTION TEMPLATE(3)

NAME
boost::property_tree::load

SYNOPSIS

// In header: <boost/property_tree/ptree_serialization.hpp>
template<typename Archive, typename K, typename D, typename C>
  void load(Archive & ar, basic_ptree< K, D, C > & t,
            const unsigned int file_version);

DESCRIPTION

De-serialize the property tree to the given archive.

Parameters:

    ar
        The archive from which to load the serialized property tree. This archive should conform to the concept laid out by the Boost.Serialization library.

    file_version
        file_version for the archive.

    t
        The property tree to de-serialize.

Postconditions:
    t will contain the de-serialized data from ar.

Notes:
    In addition to de-serializing from regular archives, this supports loading from archives requiring name-value pairs, e.g. XML archives. The format should be that used by boost::property_tree::save.